com.jscape.inet.mft.management.descriptors

## Class MaxUserConnectionsServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.MaxUserConnectionsServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class MaxUserConnectionsServiceDescriptor
      extends ServiceDescriptor

  User connection service descriptor. The service described by this descriptor takes responsibility for limiting server access.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxUserConnectionsServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `MaxUserConnectionsServiceDescriptor(java.lang.Integer maxConnections, int version)` Creates a new descriptor instance.
    `MaxUserConnectionsServiceDescriptor(MaxUserConnectionsServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.Integer` | `getMaxConnections()` Returns max User connections.
    `void` | `setMaxConnections(java.lang.Integer maxConnections)` Sets max user connections.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxUserConnectionsServiceDescriptor

          public MaxUserConnectionsServiceDescriptor(java.lang.Integer maxConnections,
                                                     int version)

      Creates a new descriptor instance.
      Parameters:
        `maxConnections` - max user connections

    - #### MaxUserConnectionsServiceDescriptor

          public MaxUserConnectionsServiceDescriptor(MaxUserConnectionsServiceDescriptor that)

    - #### MaxUserConnectionsServiceDescriptor

          public MaxUserConnectionsServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getMaxConnections

          public java.lang.Integer getMaxConnections()

      Returns max User connections.
      Returns:
        max user connections

    - #### setMaxConnections

          public void setMaxConnections(java.lang.Integer maxConnections)

      Sets max user connections.
      Parameters:
        `maxConnections` - max user connections

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.